# AirportFTAClass Struct Reference

Finite sTate mAchine --> FTA. More...

`#include <airport.h>`

## Public Types

enum | Flags { AIRPLANES = 0x1, HELICOPTERS = 0x2, ALL = AIRPLANES | HELICOPTERS, SHORT_STRIP = 0x4 }

## Public Member Functions

| AirportFTAClass (const AirportMovingData *moving_data, const byte *terminals, const byte *helipads, const byte *entry_points, Flags flags, const AirportFTAbuildup *apFA, byte delta_z)
const AirportMovingData * | MovingData (byte position) const

## Data Fields

const AirportMovingData * | moving_data
struct AirportFTA * | layout
| state machine for airport
const byte * | terminals
const byte * | helipads
Flags | flags
byte | nofelements
| number of positions the airport consists of
const byte * | entry_points
| when an airplane arrives at this airport, enter it at position entry_point, index depends on direction
byte | delta_z
| Z adjustment for helicopter pads.

## Detailed Description

Finite sTate mAchine --> FTA.

Definition at line 180 of file airport.h.

The documentation for this struct was generated from the following files:

- src/airport.h
- src/airport.cpp